#ifndef __btree_h_
#define __btree_h_

struct node {
  int value;      /* Valore del nodo */
  struct node *l; /* Puntatore al ramo sinistro */
  struct node *r; /* Puntatore al ramo destro */
};

/* 
 * Inserisce il valore 'value' nell'albero
 * binario con radice 'n'.
 */
struct node *btree_insert(struct node *n, int value);

/*
 * Visita dell'albero binario con radice 'n' in profondita'
 */
void btree_depth_visit(struct node *n);

/*
 * Rilascia la memoria utilizzata dall'albero
 * con radice 'n'
 */
void btree_dispose(struct node *n);

#endif /* !__btree_h_ */
